CMSIS-NN: cmsis_nn_per_tensor_quant_params Struct Reference

| CMSIS-NN Version 3.1.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Macros Groups Pages
Data Fields
cmsis_nn_per_tensor_quant_params Struct Reference

## Data Fields

int32_t | multiplier
int32_t | shift

## Description

CMSIS-NN object for the per-tensor quantization parameters

## Field Documentation

int32_t cmsis_nn_per_tensor_quant_params::multiplier

Multiplier value

Referenced by arm_fully_connected_s16(), arm_fully_connected_s8(), arm_svdf_s8(), and arm_svdf_state_s16_s8().

int32_t cmsis_nn_per_tensor_quant_params::shift

Shift value

Referenced by arm_fully_connected_s16(), arm_fully_connected_s8(), arm_svdf_s8(), and arm_svdf_state_s16_s8().